<template>
    <ion-page>
      <ion-header>
        <ion-toolbar>
            <ion-title>{{ pageTitle }}</ion-title>
            <!-- <ion-title>Welcome</ion-title> -->
          <ion-buttons slot="end">
            <ion-button router-link="/welcome">Welcome</ion-button>
            <ion-button router-link="/about">About</ion-button>
            <ion-button router-link="/glossary">Glossary</ion-button>
            <ion-button router-link="/login">Login/Register</ion-button>
          </ion-buttons>
        </ion-toolbar>
      </ion-header>
  
      <ion-content>
            <slot></slot>
      </ion-content>
     
    </ion-page>
</template>
  
<script lang="ts">
    import { IonContent, IonPage, IonHeader, IonToolbar, IonTitle, IonButtons, IonButton } from '@ionic/vue';
    import { defineComponent } from 'vue';

    export default defineComponent({
        props: ['pageTitle'],
        components: {
            IonContent, IonPage, IonHeader, IonToolbar,
            IonTitle, IonButtons, IonButton
        },
});

</script>

<style>
</style>
  
  